Bug 1674172 - SELinux is preventing systemd-logind from 'getattr' accesses on the file /dev/shm/ad_401_lsystem_shm.
Summary: SELinux is preventing systemd-logind from 'getattr' accesses on the file /dev...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 29
Hardware: x86_64
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:06792b7dfe1e4a2cbe2df373025...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-09 15:13 UTC by Carlos Leyes
Modified: 2019-02-18 02:04 UTC (History)
5 users (show)

Fixed In Version: selinux-policy-3.14.2-49.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-18 02:04:10 UTC


Attachments (Terms of Use)

Description Carlos Leyes 2019-02-09 15:13:14 UTC
Description of problem:
SELinux is preventing systemd-logind from 'getattr' accesses on the file /dev/shm/ad_401_lsystem_shm.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that systemd-logind should be allowed getattr access on the ad_401_lsystem_shm file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'systemd-logind' --raw | audit2allow -M my-systemdlogind
# semodule -X 300 -i my-systemdlogind.pp

Additional Information:
Source Context                system_u:system_r:systemd_logind_t:s0
Target Context                system_u:object_r:tmpfs_t:s0
Target Objects                /dev/shm/ad_401_lsystem_shm [ file ]
Source                        systemd-logind
Source Path                   systemd-logind
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.14.2-44.fc29.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.19.9-300.fc29.x86_64 #1 SMP Thu
                              Dec 13 17:25:01 UTC 2018 x86_64 x86_64
Alert Count                   9
First Seen                    2018-12-23 01:56:03 -03
Last Seen                     2018-12-23 01:56:03 -03
Local ID                      16c31d46-a3ce-455a-8adf-f86668aaea40

Raw Audit Messages
type=AVC msg=audit(1545540963.141:765): avc:  denied  { getattr } for  pid=996 comm="systemd-logind" path="/dev/shm/ad_401_lsystem_shm" dev="tmpfs" ino=30179 scontext=system_u:system_r:systemd_logind_t:s0 tcontext=system_u:object_r:tmpfs_t:s0 tclass=file permissive=0


Hash: systemd-logind,systemd_logind_t,tmpfs_t,file,getattr

Version-Release number of selected component:
selinux-policy-3.14.2-44.fc29.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.7
hashmarkername: setroubleshoot
kernel:         4.20.6-200.fc29.x86_64
type:           libreport

Potential duplicate: bug 1573589

Comment 1 Lukas Vrabec 2019-02-11 14:40:05 UTC
commit be061f1c8262674972e54f8cc8bdf5236ba96072
Author: Lukas Vrabec <lvrabec@redhat.com>
Date:   Mon Feb 11 15:36:09 2019 +0100

    Allow systemd-logind daemon to remove shared memory during logout
    Resolves: rhbz#1674172

Comment 2 Fedora Update System 2019-02-15 07:59:41 UTC
selinux-policy-3.14.2-49.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7c13db036c

Comment 3 Fedora Update System 2019-02-16 03:05:08 UTC
selinux-policy-3.14.2-49.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7c13db036c

Comment 4 Fedora Update System 2019-02-18 02:04:10 UTC
selinux-policy-3.14.2-49.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.